package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.report.Report;

import java.util.List;

/**
 *  优惠券领取使用，注册人数统计接口
 * @author Administrator
 * @Date 2018-04-20
 */
public interface ReportMapper {
    /**
     * 获取集合
     * @param  report
     * @return List
     */
    List<Report> getReportList(Report report);
    /**
     * 查询单条数据
     * @param  id
     * @return  report
     */
    Report  getReportById(Integer  id);
    /**
     * 增加数据
     * @param  report
     * @return Integer
     */
    Integer  save(Report  report);
    /**
     * 修改数据
     * @param  report
     * @return Integer
     */
    Integer  update(Report  report);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}